var vGmodulo=""
function muduletransaccional(nMod,tCampo,campo,accion,nTam,cIni,cFin,tipo) {
	vGtam="100%"
	vGmodulo=nMod
    asignar_s_storage("modulo",nMod)
    asignar_s_storage("tipo",tipo)
    asignar_s_storage("campoi",cIni)
    asignar_s_storage("length",nTam)
    asignar_s_storage("accion",accion)
	if(nTam!=''){
		vGtam=nTam
	}
	tId=campo;
	url="modulo="+nMod;
	url+="&tipo="+"l";
	url+="&accion="+accion;
	url+="&codemp="+VGempresa;
	console.log(accion+url)
    Rpage="MVC/pdo/pdoquestion.php"
	send_data(url,Rpage,"create_formtrs");
}

function create_formtrs(answer){
	var oJsonDatos = JSON.parse(answer);//forma
    cad=oJsonDatos[0];
    console.log(Object.keys(cad));
    var NJsonItem=oJsonDatos.length;
	vDiv=oJsonDatos[0].bloque.trim()
	Detalle="<input type='submit' value='Enviar'><div id='respuesta'></div>"
	Detalle+="<div id='"+vDiv+"' class='bloqueph'>"
    blqdetalle=""
	iDet=0//para saber en que campo arranca el detalle
	swdet=0
	cAnt=""
	vCampo_padre=""//para cuando hay bloques que se arman con + de 1 campo
	vJfunciones='{"Datos":[{';
	for (RowArray=0;RowArray<NJsonItem; RowArray++){
        vdetalle=""
		if(RowArray>0 && vDiv!=oJsonDatos[RowArray].bloque.trim()  ){
            if(oJsonDatos[RowArray].bloque.trim().search('bloquedet')>=0){//verificando bloque anterior
                Detalle+="</form></div>"
                blqdetalle+="<form action='MVC/detalle.php' id='detalle'>"
                blqdetalle+="<div id='"+oJsonDatos[RowArray].bloque.trim()+"' class='bloqueph' >" 
                
            }else{
                vdetalle+="</div><div id='"+oJsonDatos[RowArray].bloque.trim()+"' class='bloqueph' >" 
            }
 		}
        vDiv=oJsonDatos[RowArray].bloque.trim()
		etipo=oJsonDatos[RowArray].etifin.trim()//aqui debe ir etiqueta en vez de etifin
		eIni=oJsonDatos[RowArray].etiini.trim()
		eFin=oJsonDatos[RowArray].etifin.trim()
        aReq=""
		vdetalle+="<div class='"+oJsonDatos[RowArray].nomdiv.trim()+"'>"
		detlabel="<label for='"+oJsonDatos[RowArray].nombre.trim()+"'>"+oJsonDatos[RowArray].descripcion.trim()+"</label>"
        switch (etipo) {
            case "input":
                vdetalle+="<"+eIni+"  name='"+oJsonDatos[RowArray].nombre.trim()+"' id='"+oJsonDatos[RowArray].nombre.trim()+"' "
                if(oJsonDatos[RowArray].funcion!=""){//para buscardor al escribir
					vdetalle+=' onkeyup="buscador(\''+oJsonDatos[RowArray].funcion+'\',this,\''+oJsonDatos[RowArray].chknew+'\',\''+divConte+'\')" '
				}
                break;
            case "select":
                vdetalle+="<"+eIni+"  name='"+oJsonDatos[RowArray].nombre.trim()+"' id='"+oJsonDatos[RowArray].nombre.trim()+"' "
				if(oJsonDatos[RowArray].inicio.trim().length>3){
					if(vJfunciones.length>12){vJfunciones+=",{";}
					vJfunciones+='"modulo":"'+oJsonDatos[RowArray].inicio.trim()+'",';
					vJfunciones+='"objeto":"'+oJsonDatos[RowArray].nombre.trim()+'",';
					vJfunciones+='"valor":"'+oJsonDatos[RowArray].predeterminado.trim()+'",';
					vJfunciones+='"condicion":"'+oJsonDatos[RowArray].condicion.trim()+'"';
					vJfunciones+=',"modalidad":"'+oJsonDatos[RowArray].chkimg+'"';
					vJfunciones+=',"lost":"'+oJsonDatos[RowArray].lost.trim()+'"';
					vJfunciones+='}';
				}
                break;
			case "textarea":
				vdetalle+=detlabel+"<"+eIni+"  name='"+oJsonDatos[RowArray].nombre.trim()+"' id='"+oJsonDatos[RowArray].nombre.trim()+"' "
				break;
            default:
                // Código a ejecutar si ninguno de los casos coincide con la expresión
                break;
	    }
        if(oJsonDatos[RowArray].keypress!=""){
			vdetalle+=" onkeypress='"+oJsonDatos[RowArray].keypress+"'"//Restringiendo caracteres indicados
		}
        if(oJsonDatos[RowArray].chkreq=="1" ){
			aReq+=" required "//valido que solo sea numeros positivos
		}
		if(vCampo_padre!='' && oJsonDatos[RowArray].chkblq==2){//Agregando a las clases para poder ubicarles y asignarles datos respectivos
		    aReq+=" "+vCampo_padre+" "
		}
		if(oJsonDatos[RowArray].chktmp=="1" ){
			aReq+=" tmp "//para campos que no van a guardar
		}
        if(oJsonDatos[RowArray].chkdet=="1" ){
			aReq+=" general "//para campos que no van a guardar
		}
		if(oJsonDatos[RowArray].etiini=="table" ){
			aReq+=" table "//para indicar que es una tabla
		}
        vdetalle+="class='bloqueph "+aReq+"' "
        vdetalle+=">"
		vdetalle+=oJsonDatos[RowArray].valorhtml.trim();	
		vdetalle+=" </"+eFin+">"
		if(etipo!="textarea"){
			vdetalle+=detlabel
		}
		vdetalle+="</div>"
        if(blqdetalle.length>0){
            blqdetalle+=vdetalle
        }else{
            Detalle+=vdetalle
        }
        if(RowArray==NJsonItem-1){
			if(vDiv.search('bloquedet')>=0 ){

				blqdetalle+='<a href="javascript:guardar_detalle(\''+oJsonDatos[RowArray].modulo.trim()+'\',\'detalle\')">+ Agregar Item</a>';
				blqdetalle+="</div>"
				
				blqdetalle+="</form>"
				blqdetalle+="<div id='formdetalle' class='form-msg'>...</div>"
				
			}else{
				blqdetalle+="</div><input type='submit' value='Enviar'><div id='respuesta'></div>"
			}

		}
		
    }
	vJfunciones+="]}";
	
	console.log(Detalle)
	document.getElementById("bodyform").innerHTML=Detalle;
    document.getElementById("bodydetalle").innerHTML=blqdetalle;
	if(vJfunciones.length>13){
		console.log(vJfunciones)
		vGnum=0;
		jGfunciones = JSON.parse(vJfunciones);
		filtrar(jGfunciones.Datos[0].modulo,jGfunciones.Datos[0].objeto,jGfunciones.Datos[0].valor,jGfunciones.Datos[0].condicion,jGfunciones.Datos[0].modalidad,jGfunciones.Datos[0].lost);
	}else{
	}
}